ghcide-2.9.0.0: The core of an IDE

Safe Haskell | None
Language | GHC2021

Development.IDE.Plugin

# Documentation

data Plugin c #

Constructors

Plugin |
Fields pluginRules :: Rules () pluginHandlers :: Handlers (ServerM c) pluginModifyDynflags :: c -> DynFlagsModifications

#### Instances

Instances details

Default (Plugin c) # |
Instance details Defined in Development.IDE.Plugin Methods def :: Plugin c #
Monoid (Plugin c) # |
Instance details Defined in Development.IDE.Plugin Methods mempty :: Plugin c # mappend :: Plugin c -> Plugin c -> Plugin c # mconcat :: [Plugin c] -> Plugin c #
Semigroup (Plugin c) # |
Instance details Defined in Development.IDE.Plugin Methods (<>) :: Plugin c -> Plugin c -> Plugin c # sconcat :: NonEmpty (Plugin c) -> Plugin c # stimes :: Integral b => b -> Plugin c -> Plugin c #